import { Registry } from './common-protocol';
import * as vscode from 'vscode';
import { CloudStudioAuthenticationProvider } from './authentication';
export declare class CommandRegistry implements Registry {
    protected readonly authenticationProvider: CloudStudioAuthenticationProvider;
    register(): Promise<void>;
    protected registerCommand(command: string, callback: (...args: any[]) => any, thisArg?: any): vscode.Disposable;
    protected registerTurnOnEncryptionCommand(): void;
    protected registerSetSessionCommand(): void;
    protected registerBusinessCommand(): Promise<void>;
}
